<?xml version="1.0" encoding="UTF-8"?>
<project name="In-Portal (custom module only)" default="build">
	<property file="build.properties" />
	<resolvepath propertyName="base.dir" file="${base.dir}"/>

	<property name="scan.dir" value="${base.dir}/modules/custom"/>

	<!--TODO: update tasks, that uses "pdepend.exclude" and "phpcpd.exclude" to handle empty exclusion list-->
	<property name="pdepend.exclude" value="no-match"/>
	<property name="phpcpd.exclude" value="--exclude no-match"/>

	<import file="targets/common.xml"/>

	<target name="phpmd-ci" description="Perform project mess detection using PHPMD (creates a log file for the CI server)" depends="init">
		<parallel threadCount="4">
			<phingcall target="phpmd-ci-inc">
				<property name="param.report.file" value="pmd_custom.xml"/>
				<property name="param.include" value="${scan.dir}"/>
				<property name="param.exclude" value="admin_templates"/>
			</phingcall>
		</parallel>
	</target>

	<fileset dir="${base.dir}" id="php.files">
		<include name="modules/custom/**/*.php"/>
	</fileset>
</project>
